<?php
 /**
 * About module
 * http://www.aa-team.com
 * ======================
 *
 * @package		WZC_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('WZC_about') != true) {
	class WZC_about {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		private $action = '';
		private $wp_import = null;
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}
		
		public function print_interface()
		{
			$html = array();
			
			
			$html[] = '<div id="WZC_iw-section-content">
	<h3>About</h3>
	<p>Automatically add affiliate links into your content and display ads where people can really see them!</p>
	<h4> If you encounter any difficulties when using the plugin please make sure you read the Documentation of the plugin and searched trough the Knowledgebase for usual problems. </h4>
	
	<a href="http://docs.aa-team.com/products/woozone-contextual/" target="_blank"><img src="' . ( WZC_asset_url( 'images/documentation.png' ) ) . '" class="aa-logo" /></a>
	

		<a href="http://support.aa-team.com" target="_blank"><img src="' . ( WZC_asset_url( 'images/support.png' ) ) . '" class="aa-logo" /></a>
		
		<a href="http://support.aa-team.com/knowledgebase/" target="_blank"><img src="' . ( WZC_asset_url( 'images/knowledgebase.png' ) ) . '" class="aa-logo" /></a>
		
		<h4> If you do find bugs or unusual issues, you are free to open a ticket on our support system. </h4>
		
</div>';
			
			return implode( "\n", $html );
		}
	}
}