<?php
/**
 * Amazon module return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */

function WZCAffIDsHTML__( $istab = '' )
{
    global $WooZone_Contextual;
	
	$lcz = $WooZone_Contextual->localizationName;
    
    $html         = array();
    $img_base_url = WZC_asset_url( 'images/flags/' );

    $config = WZC_Amazon_Helper()->config;

	$html[] = '
	<style type="text/css">
	.WZC-aff-ids span {
		margin-left: 10px;
	}
	</style>
	';
    $html[] = '<div class="WZC-form-row' . ($istab!='' ? ' '.$istab : '') . '">';
    $html[] = 	'<label>Your Affiliate IDs</label>';
    $html[] = 	'<div class="WZC-form-item">';
    $html[] = 		'<div class="WZC-aff-ids">';
    $html[] = 			'<img src="' . ($img_base_url) . 'US-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['com']) . '" name="__box_id__[AffiliateID][com]"><span>' . __('United States', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'UK-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['uk']) . '" name="__box_id__[AffiliateID][uk]"><span>' . __('United Kingdom', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'DE-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['de']) . '" name="__box_id__[AffiliateID][de]"><span>' . __('Germany', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'FR-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['fr']) . '" name="__box_id__[AffiliateID][fr]"><span>' . __('France', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'JP-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['jp']) . '" name="__box_id__[AffiliateID][jp]"><span>' . __('Japan', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'CA-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['ca']) . '" name="__box_id__[AffiliateID][ca]"><span>' . __('Canada', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'CN-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['cn']) . '" name="__box_id__[AffiliateID][cn]"><span>' . __('China', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'IN-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['in']) . '" name="__box_id__[AffiliateID][in]"><span>' . __('India', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'IT-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['it']) . '" name="__box_id__[AffiliateID][it]"><span>' . __('Italy', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'ES-flag.gif" height="20"><input type="text" value="' . ($config['AffiliateID']['es']) . '" name="__box_id__[AffiliateID][es]"><span>' . __('Spain', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'MX-flag.gif" height="20"><input type="text" value="' . (isset($config['AffiliateID']['mx']) ? $config['AffiliateID']['mx'] : '') . '" name="__box_id__[AffiliateID][mx]"><span>' . __('Mexico', $lcz) . '</span><br />';
    $html[] = 			'<img src="' . ($img_base_url) . 'BR-flag.gif" height="20"><input type="text" value="' . (isset($config['AffiliateID']['br']) ? $config['AffiliateID']['br'] : '') . '" name="__box_id__[AffiliateID][br]"><span>' . __('Brazil', $lcz) . '</span><br />';
    $html[] = 		'</div>';
    $html[] = 		'<h3>Some hints and information:</h3>';
    $html[] = 		'- The link will use IP-based Geolocation to geographically target your visitor to the Amazon store of his/her country (according to their current location). <br />';
    $html[] = 		'- You don\'t have to specify all affiliate IDs if you are not registered to all programs. <br />';
    $html[] = 		'- The ASIN is unfortunately not always globally unique. That\'s why you sometimes need to specify several ASINs for different shops. <br />';
    $html[] = 		'- If you have an English website, it makes most sense to sign up for the US, UK and Canadian programs. <br />';
    $html[] = 	'</div>';
    $html[] = '</div>';
    
    return implode("\n", $html);
}
   
global $WooZone_Contextual;
echo json_encode(array(

// tabs
'tabs'  => array(
    '__tab1'    => array(__('Amazon SETUP', $WooZone_Contextual->localizationName), 'protocol, country, services_used_forip, price_setup, help_required_fields, AccessKeyID, SecretAccessKey, AffiliateId, main_aff_id, help_available_countries'),
    '__tab2'    => array(__('Plugin SETUP', $WooZone_Contextual->localizationName), 'help_keyword_link, link_color, link_maxreplace, find_distinct_words, help_products_tooltip, link_target, tooltip_max_height, tooltip_margin_left, tooltip_margin_top, help_others, rows_per_page'),
),
            
// create the box elements array
'elements' => array(

    'protocol' => array(
        'type' => 'select',
        'std' => '',
        'size' => 'large',
        'force_width' => '200',
        'title' => 'Request Type',
        'desc' => 'How the script should make the request to Amazon API.',
        'options' => array(
            'auto' => 'Auto Detect',
            'soap' => 'SOAP',
            'xml' => 'XML (over cURL, streams, fsockopen)'
        )
    ),
    
    'country' => array(
        'type' => 'select',
        'std' => '',
        'size' => 'large',
        'force_width' => '150',
        'title' => 'Amazon locations',
        'desc' => 'All possible locations.',
        'options' => array(
            'com' => 'Worldwide',
            'co.uk' => 'United Kingdom',
            'de' => 'Germany',
            'fr' => 'France',
            'co.jp' => 'Japan',
            'ca' => 'Canada',
            'cn' => 'China',
            'in' => 'India',
            'it' => 'Italy',
            'es' => 'Spain',
            'com.mx' => 'Mexico',
            'com.br' => 'Brazil',
        )
    ),
    
	'services_used_forip' => array(
        'type' => 'select',
        'std' => 'www.geoplugin.net',
        'size' => 'large',
        'force_width' => '380',
        'title' => 'External server country detection or use local:',
        'desc' => 'We use an external server for detecting client country per IP address or you can try local IP detection.',
        'options' => array(
            'local_csv'                 => 'Local IP detection (plugin local csv file with IP range lists)',
            //'api.hostip.info'           => 'api.hostip.info',
            //'api.hostip.info' 			=> 'api.hostip.info',
            'www.geoplugin.net' 		=> 'www.geoplugin.net',
            //'www.telize.com'			=> 'www.telize.com',
            'ipinfo.io' 				=> 'ipinfo.io',
        )
    ),
    
    'price_setup' => array(
        'type' => 'select',
        'std' => 'only_amazon',
        'size' => 'large',
        'force_width' => '290',
        'title' => 'Prices setup',
        'desc' => 'Get product offer price from Amazon or other Amazon sellers.',
        'options' => array(
            'only_amazon' => 'Only Amazon',
            'amazon_or_sellers' => 'Amazon OR other sellers (get lowest price)'
        )
    ),
    
    'help_required_fields' => array(
        'type' => 'message',
        'status' => 'info',
        'html' => 'The following fields are required in order to send requests to Amazon and retrieve data about products and listings. If you do not already have access keys set up, please visit the <a href="https://aws-portal.amazon.com/gp/aws/developer/account/index.html?ie=UTF8&amp;action=access-key#access_credentials" target="_blank">AWS Account Management</a> page to create and retrieve them.'
    ),
    
    'AccessKeyID' => array(
        'type' => 'text',
        'std' => '',
        'size' => 'large',
        'title' => 'Access Key ID',
        'force_width' => '350',
        'desc' => 'Are required in order to send requests to Amazon API.'
    ),
    
    'SecretAccessKey' => array(
        'type' => 'text',
        'std' => '',
        'size' => 'large',
        'force_width' => '400',
        'title' => 'Secret Access Key',
        'desc' => 'Are required in order to send requests to Amazon API.'
    ),
    
    'AffiliateId' => array(
        'type' => 'html',
        'std' => '',
        'size' => 'large',
        'title' => 'Affiliate Information',
        'html' => WZCAffIDsHTML__( '__tab1' )
    ),
	
    'main_aff_id' => array(
        'type' => 'select',
        'std' => '',
        'force_width' => '150',
        'size' => 'large',
        'title' => 'Main Affiliate ID',
        'desc' => 'This Affiliate id will be use in API request and if user are not from any of available amazon country.',
        'options' => array(
			'com' => 'United States',
			'uk' => 'United Kingdom',
			'de' => 'Deutschland',
			'fr' => 'France',
			'jp' => 'Japan',
			'ca' => 'Canada',
			'cn' => 'China',
			'in' => 'India',
			'it' => 'Italia',
			'es' => 'España',
			'mx' => 'Mexico',
			'br' => 'Brazil',
		)
    ),
	
    'help_available_countries' => array(
        'type' => 'message',
        'status' => 'info',
        'html' => '
				<strong>Available countries: &nbsp;</strong>
				<a href="https://affiliate-program.amazon.com/" target="_blank">United States</a>, &nbsp;
				<a href="https://affiliate-program.amazon.co.uk/" target="_blank">United Kingdom</a>, &nbsp;
				<a href="https://partnernet.amazon.de/" target="_blank">Deutschland</a>, &nbsp;
				<a href="https://partenaires.amazon.fr/" target="_blank">France</a>, &nbsp;
				<a href="https://affiliate.amazon.co.jp/" target="_blank">Japan</a>, &nbsp;
				<a href="https://associates.amazon.ca/" target="_blank">Canada</a>, &nbsp;
				<a href="https://associates.amazon.cn/" target="_blank">China</a>, &nbsp;
				<a href="https://affiliate-program.amazon.in/" target="_blank">India</a>
				<a href="https://programma-affiliazione.amazon.it/" target="_blank">Italia</a>, &nbsp;
				<a href="https://afiliados.amazon.es/" target="_blank">España</a>, &nbsp;
				<a href="https://afiliados.amazon.com.mx/" target="_blank">Mexico</a>, &nbsp;
				<a href="https://associados.amazon.com.br/" target="_blank">Brazil</a>, &nbsp;
			'
    ),
    
    'help_keyword_link' => array(
        'type' => 'message',
        'status' => 'info',
        'html' => 'Options - link replacing keyword inside the content'
    ),
    
    'link_color' => array(
        'type'  => 'color_picker',
        'std'   => '#E47911',
        'size'  => 'large',
        'title' => __('Keyword Background Color', 'personalTrainer'),
        'desc'  => __('Choose a color for the keyword tooltip', 'WZC')
    ),
    
    'link_maxreplace' => array(
        'type' => 'text',
        'std' => '0',
        'size' => 'large',
        'title' => 'Keyword Max Replaces',
        'force_width' => '350',
        'desc' => '(Integer value) Choose the number of maximum replaces for a keyword inside your content ( 0 = all )'
    ),
    
    'find_distinct_words' => array(
        'type'  => 'select',
        'std'   => 'yes',
        'size' => 'large',
        'force_width' => '200',
        'title' => 'Find distinct words',
        'desc' => 'If Yes => When finding keywords in your post content, we search only distinct words (not words inside another word).',
        'options' => array(
            'no' => 'No',
            'yes' => 'Yes',
        )
    ),
    
    'help_products_tooltip' => array(
        'type' => 'message',
        'status' => 'info',
        'html' => 'Options - products tooltip'
    ),
    
    'link_target' => array(
        'type'  => 'select',
        'std'   => '_blank',
        'size' => 'large',
        'force_width' => '200',
        'title' => 'Products tooltip link target',
        'desc' => 'Choose the target for the Amazon products links from the tooltip.',
        'options' => array(
            'no' => 'No target',
            '_blank' => 'Blank (in a new tab)',
            '_parent' => 'Parent',
            '_self' => 'Self (in the same tab)',
            '_top' => 'Top'
        )
    ),
    
    'tooltip_max_height' => array(
        'type' => 'text',
        'std' => '300',
        'size' => 'large',
        'title' => 'Products tooltip max height',
        'force_width' => '350',
        'desc' => '(Integer value) Choose the maximum height (will be in pixels) for the products tooltip from frontend content ( 0 = no limit )'
    ),
    
    'tooltip_margin_left' => array(
        'type' => 'text',
        'std' => '5',
        'size' => 'large',
        'title' => 'Products tooltip margin left',
        'force_width' => '350',
        'desc' => '(Integer value) Choose the left margin (will be in pixels) for the products tooltip from frontend content ( 0 = no limit )'
    ),
    
    'tooltip_margin_top' => array(
        'type' => 'text',
        'std' => '15',
        'size' => 'large',
        'title' => 'Products tooltip margin top',
        'force_width' => '350',
        'desc' => '(Integer value) Choose the top margin (will be in pixels) for the products tooltip from frontend content ( 0 = no limit )'
    ),
    
    'help_others' => array(
        'type' => 'message',
        'status' => 'info',
        'html' => 'Other options'
    ),
    
    'rows_per_page' => array(
        'type' => 'text',
        'std' => '10',
        'size' => 'large',
        'title' => 'Components Rows Per Page',
        'force_width' => '350',
        'desc' => '(Integer value) The number of rows to be displayed, in the back-end, on a components interface!'
    ),
    
), // end elements

));